GET
/v1beta/modelsList models (Gemini)
The same models as GET /v1/models, in Google's shape. Authenticate with x-goog-api-key, a key query parameter, or Authorization: Bearer.
認証: AuthorizationヘッダーにBearer形式のAPIキー
レスポンス
200The models this key can call.
レスポンス
modelsarray<object>models
namestringmodels/<slug>.displayNamestringsupportedGenerationMethodsarray<string>
401The key is missing or invalid.
レスポンス
errorobjecterror
codeintegerThe HTTP status.
messagestringstatusstringFor example
INVALID_ARGUMENT,UNAUTHENTICATED,RESOURCE_EXHAUSTED.detailsarray<object>
リクエスト
curl https://api.experientiallabs.ai/v1beta/models \
-H "x-goog-api-key: YOUR_API_KEY"
レスポンス
{
"models": [
{
"name": "models/gpt-6-luna",
"displayName": "gpt-6-luna",
"supportedGenerationMethods": [
"generateContent",
"streamGenerateContent",
"countTokens"
]
}
]
}https://api.experientiallabs.ai/v1beta/models